com.microfocus.awm.meta.interfaces.validation

## Interface DocumentRootValidator

-     public interface DocumentRootValidator

  A sample validator interface for `DocumentRoot`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate()`
    `boolean` | `validateID(java.lang.String value)`
    `boolean` | `validateLabel(java.lang.String value)`
    `boolean` | `validateMixed(org.eclipse.emf.ecore.util.FeatureMap value)`
    `boolean` | `validateName(java.lang.String value)`
    `boolean` | `validateNCName(java.lang.String value)`
    `boolean` | `validateSeqNo(int value)`
    `boolean` | `validateSortBy(java.lang.String value)`
    `boolean` | `validateTableViewID(java.lang.String value)`
    `boolean` | `validateTableViewLabel(java.lang.String value)`
    `boolean` | `validateTaurusConfiguration(TAURUSConfiguration value)`
    `boolean` | `validateType(ETypes value)`
    `boolean` | `validateXMLNSPrefixMap(org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String> value)`
    `boolean` | `validateXSISchemaLocation(org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String> value)`

- - ### Method Detail

    - #### validate

          boolean validate()

    - #### validateMixed

          boolean validateMixed(org.eclipse.emf.ecore.util.FeatureMap value)

    - #### validateXMLNSPrefixMap

          boolean validateXMLNSPrefixMap(org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String> value)

    - #### validateXSISchemaLocation

          boolean validateXSISchemaLocation(org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String> value)

    - #### validateTaurusConfiguration

          boolean validateTaurusConfiguration(TAURUSConfiguration value)

    - #### validateID

          boolean validateID(java.lang.String value)

    - #### validateLabel

          boolean validateLabel(java.lang.String value)

    - #### validateName

          boolean validateName(java.lang.String value)

    - #### validateNCName

          boolean validateNCName(java.lang.String value)

    - #### validateSeqNo

          boolean validateSeqNo(int value)

    - #### validateSortBy

          boolean validateSortBy(java.lang.String value)

    - #### validateTableViewID

          boolean validateTableViewID(java.lang.String value)

    - #### validateTableViewLabel

          boolean validateTableViewLabel(java.lang.String value)

    - #### validateType

          boolean validateType(ETypes value)

Copyright © 2015 Micro Focus GmbH. All rights reserved.